summaryrefslogtreecommitdiffstats
path: root/ham
diff options
context:
space:
mode:
author JK Wood2014-07-22 11:18:08 +0200
committer Willy Sudiarto Raharjo2014-07-22 11:18:08 +0200
commit8466b870811a0d5daa7f1cf3cca2b3406533b386 (patch)
treeea486c3f3daf952b2ca4d39ca65d860b14926ae8 /ham
parentd8bc81a867c9c3ac4fbe5c969b6a3ac27f15e666 (diff)
downloadslackbuilds-8466b870811a0d5daa7f1cf3cca2b3406533b386.tar.gz
ham/qradiopredict: Added (VHF-UHF Propagation calculator).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'ham')
-rw-r--r--ham/qradiopredict/README7
-rw-r--r--ham/qradiopredict/doinst.sh14
-rw-r--r--ham/qradiopredict/qradiopredict.SlackBuild111
-rw-r--r--ham/qradiopredict/qradiopredict.desktop9
-rw-r--r--ham/qradiopredict/qradiopredict.info10
-rw-r--r--ham/qradiopredict/qradiopredict.pngbin0 -> 5928 bytes
-rw-r--r--ham/qradiopredict/slack-desc19
7 files changed, 170 insertions, 0 deletions
diff --git a/ham/qradiopredict/README b/ham/qradiopredict/README
new file mode 100644
index 0000000000..35740cddfa
--- /dev/null
+++ b/ham/qradiopredict/README
@@ -0,0 +1,7 @@
+qradiopredict is an experimental software for VHF-UHF propagation
+prediction and radio coverage analysis. qradiopredict can operate
+as a traditional standalone program with static plots and radio
+links, or can be connected to Flightgear, the free flight simulator,
+in order to use it's powerful radio simulation.
+
+Flightgear is an optional dependency.
diff --git a/ham/qradiopredict/doinst.sh b/ham/qradiopredict/doinst.sh
new file mode 100644
index 0000000000..de61f92da5
--- /dev/null
+++ b/ham/qradiopredict/doinst.sh
@@ -0,0 +1,14 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+# Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config usr/share/qradiopredict/propagation.sqlite.new
diff --git a/ham/qradiopredict/qradiopredict.SlackBuild b/ham/qradiopredict/qradiopredict.SlackBuild
new file mode 100644
index 0000000000..42fef6c70f
--- /dev/null
+++ b/ham/qradiopredict/qradiopredict.SlackBuild
@@ -0,0 +1,111 @@
+#!/bin/sh
+# Slackbuild for QRadioPredict
+# Written by JK Wood <joshuakwood@gmail.com>
+
+# Slackbuild is released under the Dog-on-Fire License:
+# If use of this script causes your dog to catch on fire,
+# you agree to send me five dollars. Or a picture
+# of the dog on fire.
+# Otherwise, you're on your own. I've tested the script
+# on my own computer, and it hasn't broken anything.
+# So if it does it on your computer, that falls in
+# the realm of "Not my problem."
+#
+# Of course, if you'll send a bug report to the above
+# email address, I may be able to see what you did
+# wrong and prevent it from happening in the future.
+# In which case, I may just send YOU five dollars.
+
+# Oh, and feel free to copy it and modify it as you
+# see fit. Or as I see fit. Or as I fit. Although
+# that is unlikely, as I am rather tall.
+
+PRGNAM=qradiopredict
+VERSION=${VERSION:-0.8.8}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xvf $CWD/$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+ qmake ..
+ make
+ make install INSTALL_ROOT=$PKG DESTDIR=$PKG
+cd ..
+
+if [ "$ARCH" = "x86_64" ]; then
+ mv $PKG/usr/lib $PKG/usr/lib${LIBDIRSUFFIX}
+fi
+
+mkdir -p $PKG/usr/bin
+mkdir -p $PKG/usr/share/$PRGNAM
+install -m 755 build/QRadioPredict/qRadioPredict $PKG/usr/share/$PRGNAM
+cat db_structure.sql | sqlite3 $PKG/usr/share/$PRGNAM/propagation.sqlite.new
+install -m 644 material_radio_properties.txt $PKG/usr/share/$PRGNAM
+ln -s $PKG/usr/share/$PRGNAM/qRadioPredict $PKG/usr/bin
+install -m 755 clip.py $PKG/usr/bin
+
+mkdir -p $PKG/usr/share/applications
+mkdir -p $PKG/usr/share/pixmaps
+install -m 644 $CWD/qradiopredict.desktop $PKG/usr/share/applications
+install -m 644 $CWD/qradiopredict.png $PKG/usr/share/pixmaps
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+doxygen Doxyfile
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README.md db_structure.sql html $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc -name "Makefile" -exec rm {} \;
+find $PKG/usr/doc -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG${PKGTYPE:-.tgz}
diff --git a/ham/qradiopredict/qradiopredict.desktop b/ham/qradiopredict/qradiopredict.desktop
new file mode 100644
index 0000000000..108537470c
--- /dev/null
+++ b/ham/qradiopredict/qradiopredict.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Name=qRadioPredict
+Comment=Amateur Radio Propagation Plotter
+TryExec=qRadioPredict
+Exec=qRadioPredict
+Icon=qradiopredict
+Terminal=false
+Type=Application
+Categories=HamRadio;
diff --git a/ham/qradiopredict/qradiopredict.info b/ham/qradiopredict/qradiopredict.info
new file mode 100644
index 0000000000..8eb8093129
--- /dev/null
+++ b/ham/qradiopredict/qradiopredict.info
@@ -0,0 +1,10 @@
+PRGNAM="qradiopredict"
+VERSION="0.8.8"
+HOMEPAGE="http://qradiopredict.sourceforge.net/"
+DOWNLOAD="https://github.com/QDeltaSoft/qradiopredict/archive/0.8.8.tar.gz"
+MD5SUM="1ea79f76eba38325e9d6d225ffe709c4"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="gdal"
+MAINTAINER="JK Wood"
+EMAIL="joshuakwood@gmail.com"
diff --git a/ham/qradiopredict/qradiopredict.png b/ham/qradiopredict/qradiopredict.png
new file mode 100644
index 0000000000..3c6f40ca7a
--- /dev/null
+++ b/ham/qradiopredict/qradiopredict.png
Binary files differ
diff --git a/ham/qradiopredict/slack-desc b/ham/qradiopredict/slack-desc
new file mode 100644
index 0000000000..ac8d74eddd
--- /dev/null
+++ b/ham/qradiopredict/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+qradiopredict: qradiopredict (VHF-UHF Propagation calculator)
+qradiopredict:
+qradiopredict: qradiopredict is an experimental software for VHF-UHF propagation
+qradiopredict: prediction and radio coverage analysis.
+qradiopredict:
+qradiopredict:
+qradiopredict:
+qradiopredict:
+qradiopredict:
+qradiopredict: Homepage: http://qradiopredict.sourceforge.net/
+qradiopredict: